      SUBROUTINE PLN2 (PLN, COLRAD, LAT, EPS)
      DIMENSION PLN( 306 ), COLRAD( 21 ), EPS( 306 )
      DOUBLE PRECISION COLRAD, EPS, SINLAT, COS2, PROD,
     1 A, B, FL, ALP1, ALP2, ALP3
      SINLAT = DCOS(COLRAD(LAT))
      COS2 = 1.D+0 - SINLAT * SINLAT
      PROD = 1.D+0
      A = 1.D+0
      B = 0.D+0
      DO 30 LL=1, 17
      L = LL - 1
      FL = L
      JLE = L *  18
      IF (L.EQ.0) GO TO 12
      A = A + 2.D+0
      B = B + 2.D+0
      PROD = PROD * COS2 * A / B
12    ALP1 = DSQRT (0.5D+0 * PROD)
      PLN(JLE+1) = SNGL(ALP1)
      ALP2 = DSQRT(2.D+0 * FL + 3.D+0) * SINLAT * ALP1
      PLN(JLE+2) = SNGL(ALP2)
      DO 20 N=3, 18
      MN = JLE + N
      ALP3 = (SINLAT*ALP2 - EPS(MN-1)*ALP1)/EPS(MN)
      PLN(MN) = SNGL(ALP3)
      ALP1 = ALP2
      ALP2 = ALP3
20    CONTINUE
30    CONTINUE
C(DEBUGLINE) VERSION CREATED JULY 8 1982 BY J.SELA,NMC.
      RETURN
      END
